wibble::Consumer< T > Struct Template Reference

`#include <consumer.h>`

Inheritance diagram for wibble::Consumer< T >:
[legend]
Collaboration diagram for wibble::Consumer< T >:
[legend]

## Public Types

typedef Amorph< Consumer< T >, ConsumerInterface< T > > | Super
typedef void | value_type
typedef void | difference_type
typedef void | pointer
typedef void | reference
Public Types inherited from wibble::Amorph< Consumer< T >, ConsumerInterface< T > >
typedef ConsumerInterface< T > | Interface
Public Types inherited from wibble::ConsumerMixin< T, Consumer< T > >
typedef std::output_iterator_tag | iterator_category
typedef T | ConsumedType

## Public Member Functions

| Consumer (const MorphInterface< ConsumerInterface< T > > &i)
| Consumer ()
void | consume (const T &a)
Consumer< T > & | operator= (const T &a)
Public Member Functions inherited from wibble::Amorph< Consumer< T >, ConsumerInterface< T > >
| Amorph (const MorphInterface< Interface > &b)
| Amorph (const Amorph &a)
| Amorph ()
const Consumer< T > & | self () const
Consumer< T > & | self ()
bool | leq (const Consumer< T > &i) const
bool | operator<= (const Consumer< T > &i) const
void | setInterfacePointer (const Interface *i)
void | setMorphInterfacePointer (const MorphInterface< Interface > *i)
Amorph & | operator= (const Amorph &i)
| ~Amorph ()
Maybe< typename F::result_type > | ifType (F func)
const Interface * | implementation () const
Interface * | implementation ()
MorphInterface< Interface > * | morphInterface () const
const Interface & | wrapped () const
Interface & | wrapped ()
bool | is () const
bool | isVoid () const
T * | impl () const
Public Member Functions inherited from wibble::ConsumerMixin< T, Consumer< T > >
Consumer< T > & | self ()
const Consumer< T > & | self () const
bool | operator<= (const Consumer< T > &o) const
Consumer< T > & | operator++ ()
Consumer< T > & | operator++ (int)
Consumer< T > & | operator* ()
Consumer< T > & | operator= (const T &a)
Public Member Functions inherited from wibble::mixin::Comparable< Consumer< T > >
const Consumer< T > & | cmpSelf () const
bool | operator!= (const Consumer< T > &o) const
bool | operator== (const Consumer< T > &o) const
bool | operator< (const Consumer< T > &o) const
bool | operator> (const Consumer< T > &o) const
bool | operator>= (const Consumer< T > &o) const

## Member Typedef Documentation

## difference_type

template<typename T>

typedef void wibble::Consumer< T >::difference_type

## pointer

template<typename T>

typedef void wibble::Consumer< T >::pointer

## reference

template<typename T>

typedef void wibble::Consumer< T >::reference

## Super

template<typename T>

typedef Amorph< Consumer< T >, ConsumerInterface< T > > wibble::Consumer< T >::Super

## value_type

template<typename T>

typedef void wibble::Consumer< T >::value_type

## Constructor & Destructor Documentation

## Consumer() [1/2]

template<typename T>

wibble::Consumer< T >::Consumer | ( | const MorphInterface< ConsumerInterface< T > > & | i | ) |

inline

## Consumer() [2/2]

template<typename T>

wibble::Consumer< T >::Consumer | ( |  | ) |

inline

## Member Function Documentation

## consume()

template<typename T>

void wibble::Consumer< T >::consume | ( | const T & | a | ) |

inline

## operator=()

template<typename T>

Consumer< T >& wibble::Consumer< T >::operator= | ( | const T & | a | ) |

inline

References wibble::ConsumerInterface< T >::consume().

The documentation for this struct was generated from the following file:

- consumer.h